dane_verification_status_print(3)

NAME
dane_verification_status_print - API function

SYNOPSIS
#include <gnutls/dane.h>

int dane_verification_status_print(unsigned int status, gnutls_datum_t * out, unsigned int flags);

ARGUMENTS

unsigned int status
    The status flags to be printed

gnutls_datum_t * out
    Newly allocated datum with (0) terminated string.

unsigned int flags
    should be zero

DESCRIPTION
This function will pretty print the status of a verification process -- eg. the one obtained by dane_verify_crt(). The output out needs to be deallocated using gnutls_free().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/